Package org.italiangrid.voms.request.impl

# Enum FakeVOMSACServiceProperties

java.lang.Object
java.lang.Enum<FakeVOMSACServiceProperties>
org.italiangrid.voms.request.impl.FakeVOMSACServiceProperties

All Implemented Interfaces:
  `Serializable`, `Comparable<FakeVOMSACServiceProperties>`, `java.lang.constant.Constable`

public enum FakeVOMSACServiceProperties extends Enum<FakeVOMSACServiceProperties>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`AA_CERT`
`AA_KEY`
`FAKE`
`FQANS`
`GAS`
`HOST`
`NOT_AFTER`
`NOT_BEFORE`
`PORT`
`SERIAL`
`VO`

## Method Summary

Modifier and Type
Method
Description
`String`
`getPropertyName()`
`String`
`getSystemPropertyValue()`
`static FakeVOMSACServiceProperties`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static FakeVOMSACServiceProperties[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### FAKE

public static final FakeVOMSACServiceProperties FAKE

### AA_CERT

public static final FakeVOMSACServiceProperties AA_CERT

### AA_KEY

public static final FakeVOMSACServiceProperties AA_KEY

### VO

public static final FakeVOMSACServiceProperties VO

### FQANS

public static final FakeVOMSACServiceProperties FQANS

### GAS

public static final FakeVOMSACServiceProperties GAS

### HOST

public static final FakeVOMSACServiceProperties HOST

### PORT

public static final FakeVOMSACServiceProperties PORT

### NOT_BEFORE

public static final FakeVOMSACServiceProperties NOT_BEFORE

### NOT_AFTER

public static final FakeVOMSACServiceProperties NOT_AFTER

### SERIAL

public static final FakeVOMSACServiceProperties SERIAL

## Method Details

### values

public static FakeVOMSACServiceProperties[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static FakeVOMSACServiceProperties valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### getPropertyName

public String getPropertyName()

### getSystemPropertyValue

public String getSystemPropertyValue()